Subject: Re: [PATCH v2] builtin/bugreport.c: use thread-safe localtime_r()

From: Taylor Blau <[email-masked]>
Date: Tue, 1 Dec 2020 13:34:31 -0500

On Tue, Dec 01, 2020 at 10:27:20AM -0800, Junio C Hamano wrote:
> I am not opposed to banning ctime_r() and asctime_r(), but I do not
> want to see our future readers wonder why they are banned by the
> commit whose title clearly states that we refuse non-reentrant ones
> in our codebase.

Agreed. Maybe splitting these into two (one to ban non-reentrant
functions, and another to ban ctime_r() and asctime_r()) would help.

Thanks,
Taylor